//========================================================================================
//
//	File:				Menus.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

#ifndef INTLRES_K
#include "IntlRes.k"
#endif

//----------------------------------------------------------------------------
//	Strings for IntlTest Menu
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kIntlTestPartStrings)
{
	kBlankString,		"This area intentionally left blank";
	kFontMenuString,	"Font";
	kSizeMenuString,	"Size";
	kSize9,				"9";
	kSize10,			"10";
	kSize12,			"12";
	kSize14,			"14";
	kSize18,			"18";
}

//----------------------------------------------------------------------------
//	Strings for Undo and Redo menu items
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kIntlTestUndoStrings)
{
	kUndoDragTextMsg,	"Undo Text Removal";
	kRedoDragTextMsg,	"Redo Text Removal";
	kUndoDropTextMsg,	"Undo Text Drop";
	kRedoDropTextMsg,	"Redo Text Drop";
	kUndoClearTextMsg,	"Undo Text Clear";
	kRedoClearTextMsg,	"Redo Text Clear";
	kUndoCutTextMsg,	"Undo Text Cut";
	kRedoCutTextMsg,	"Redo Text Cut";
	kUndoPasteTextMsg,	"Undo Text Paste";
	kRedoPasteTextMsg,	"Redo Text Paste";
	kUndoFontChangeMsg,	"Undo Font Change";
	kRedoFontChangeMsg,	"Redo Font Change";
	kUndoFontSizeMsg,	"Undo Font Size Change";
	kRedoFontSizeMsg,	"Redo Font Size Change";
}

//----------------------------------------------------------------------------
//	Strings for Test dialogs
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kIntlTestStrings)
{
	kEngTooBigStringID,		"Number is too large";
	kEngNthCharStringID,	"Character #^0 is ^1";
}

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About IntlTest...",

	{
		FW_RPullDownMenu
		(
			"IntlTest"
			{
				FW_RTextItem(cFirstCommand, '1', "Test operator[]..."),
				FW_RTextItem(cThirdCommand, '3', "Test TextReader..."),
				FW_RTextItem(cFifthCommand, '5', "Test Real Number Conversion...")
				FW_RTextItem(cSeventhCommand, FW_kNoKeyEquivalent, RJStringData(""))	// tamesi
			}
		)
	}
};

